Get transactions by message
curl --request GET \
--url https://toncenter.com/api/v3/transactionsByMessageimport requests
url = "https://toncenter.com/api/v3/transactionsByMessage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://toncenter.com/api/v3/transactionsByMessage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address_book": {},
"transactions": [
{
"account": "<string>",
"account_state_after": {
"account_status": "<string>",
"balance": "<string>",
"code_boc": "<string>",
"code_hash": "<string>",
"data_boc": "<string>",
"data_hash": "<string>",
"extra_currencies": {},
"frozen_hash": "<string>",
"hash": "<string>"
},
"account_state_before": {
"account_status": "<string>",
"balance": "<string>",
"code_boc": "<string>",
"code_hash": "<string>",
"data_boc": "<string>",
"data_hash": "<string>",
"extra_currencies": {},
"frozen_hash": "<string>",
"hash": "<string>"
},
"block_ref": {
"seqno": 123,
"shard": "0",
"workchain": 123
},
"description": {
"aborted": true,
"action": {
"action_list_hash": "<string>",
"msgs_created": 123,
"no_funds": true,
"result_arg": 123,
"result_code": 123,
"skipped_actions": 123,
"spec_actions": 123,
"status_change": "<string>",
"success": true,
"tot_actions": 123,
"tot_msg_size": {
"bits": "0",
"cells": "0"
},
"total_action_fees": "0",
"total_fwd_fees": "0",
"valid": true
},
"bounce": {
"fwd_fees": "0",
"msg_fees": "0",
"msg_size": {
"bits": "0",
"cells": "0"
},
"req_fwd_fees": "0",
"type": "<string>"
},
"compute_ph": {
"account_activated": true,
"exit_arg": 123,
"exit_code": 123,
"gas_credit": "0",
"gas_fees": "0",
"gas_limit": "0",
"gas_used": "0",
"mode": 123,
"msg_state_used": true,
"reason": "<string>",
"skipped": true,
"success": true,
"vm_final_state_hash": "<string>",
"vm_init_state_hash": "<string>",
"vm_steps": 123
},
"credit_first": true,
"credit_ph": {
"credit": "0",
"credit_extra_currencies": {},
"due_fees_collected": "0"
},
"destroyed": true,
"installed": true,
"is_tock": true,
"split_info": {
"acc_split_depth": 123,
"cur_shard_pfx_len": 123,
"sibling_addr": "<string>",
"this_addr": "<string>"
},
"storage_ph": {
"status_change": "<string>",
"storage_fees_collected": "0",
"storage_fees_due": "0"
},
"type": "<string>"
},
"emulated": true,
"end_status": "<string>",
"hash": "<string>",
"in_msg": {
"bounce": true,
"bounced": true,
"created_at": "0",
"created_lt": "0",
"destination": "<string>",
"fwd_fee": "0",
"hash": "<string>",
"hash_norm": "<string>",
"ihr_disabled": true,
"ihr_fee": "0",
"import_fee": "0",
"in_msg_tx_hash": "<string>",
"init_state": {
"body": "<string>",
"decoded": {
"comment": "<string>",
"type": "<string>"
},
"hash": "<string>"
},
"message_content": {
"body": "<string>",
"decoded": {
"comment": "<string>",
"type": "<string>"
},
"hash": "<string>"
},
"opcode": 123,
"out_msg_tx_hash": "<string>",
"source": "<string>",
"value": "0",
"value_extra_currencies": {}
},
"lt": "0",
"mc_block_seqno": 123,
"now": 123,
"orig_status": "<string>",
"out_msgs": [
{
"bounce": true,
"bounced": true,
"created_at": "0",
"created_lt": "0",
"destination": "<string>",
"fwd_fee": "0",
"hash": "<string>",
"hash_norm": "<string>",
"ihr_disabled": true,
"ihr_fee": "0",
"import_fee": "0",
"in_msg_tx_hash": "<string>",
"init_state": {
"body": "<string>",
"decoded": {
"comment": "<string>",
"type": "<string>"
},
"hash": "<string>"
},
"message_content": {
"body": "<string>",
"decoded": {
"comment": "<string>",
"type": "<string>"
},
"hash": "<string>"
},
"opcode": 123,
"out_msg_tx_hash": "<string>",
"source": "<string>",
"value": "0",
"value_extra_currencies": {}
}
],
"prev_trans_hash": "<string>",
"prev_trans_lt": "0",
"total_fees": "0",
"total_fees_extra_currencies": {},
"trace_external_hash": "<string>",
"trace_id": "<string>"
}
]
}{
"code": 123,
"error": "<string>"
}Blockchain
Get transactions by message
Get transactions whose inbound/outbound message has the specified hash. \
GET
/
api
/
v3
/
transactionsByMessage
Get transactions by message
Query Parameters
Message hash. Acceptable in hex, base64 and base64url forms.
Hash of message body.
Opcode of message in hex or signed 32-bit decimal form.
Direction of message.
Available options:
in, out Limit number of queried rows. Use with offset to batch read.
Required range:
1 <= x <= 1000Skip first N rows. Use with limit to batch read.
Required range:
x >= 0⌘I

